System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

A is thrown when a call is made to a faulted communication object. is a derived class of and can occur in correct applications. Because typically the code that calls the method reports the error condition that caused the call to , this exception indicates that the call failed but the most useful error information is elsewhere.

If an object is faulted with several pending calls, only one call throws a specific exception; the others throw .

The exception that is thrown when a call is made to a communication object that has faulted.

- Constructor
  4.0.0.0

  Creates a new .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new using the specified .

  Initializes a new instance of the class using the specified message.

- Constructor
  4.0.0.0

  This constructor is called when deserializing a object from a stream.

  Initializes a new instance of the class when deserializing a stream using the specified and objects.

  The serialization information used to create the exception object.
  The context within which the exception object is created.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Creates a new using the specified and .

  Initializes a new instance of the class using the specified message and inner exception.